All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
check.hpp File Reference
`#include <openpose/core/common.hpp>`

Go to the source code of this file.

## Namespaces

| op

## Functions

template<typename T >
void | op::check (const bool condition, const T &message="", const int line=-1, const std::string &function="", const std::string &file="")
template<typename T , typename T1 , typename T2 >
void | op::checkE (const T1 &conditionA, const T2 &conditionB, const T &message="", const int line=-1, const std::string &function="", const std::string &file="")
template<typename T , typename T1 , typename T2 >
void | op::checkNE (const T1 &conditionA, const T2 &conditionB, const T &message="", const int line=-1, const std::string &function="", const std::string &file="")
template<typename T , typename T1 , typename T2 >
void | op::checkLE (const T1 &conditionA, const T2 &conditionB, const T &message="", const int line=-1, const std::string &function="", const std::string &file="")
template<typename T , typename T1 , typename T2 >
void | op::checkLT (const T1 &conditionA, const T2 &conditionB, const T &message="", const int line=-1, const std::string &function="", const std::string &file="")
template<typename T , typename T1 , typename T2 >
void | op::checkGE (const T1 &conditionA, const T2 &conditionB, const T &message="", const int line=-1, const std::string &function="", const std::string &file="")
template<typename T , typename T1 , typename T2 >
void | op::checkGT (const T1 &conditionA, const T2 &conditionB, const T &message="", const int line=-1, const std::string &function="", const std::string &file="")